from geruecht import db

class PriceList(db.Model):
    """ Database Model for PriceList
    
        PriceList has lots of Drinks and safe all Prices (normal, for club, for other clubs, which catagory, etc)
    """
    id = db.Column(db.Integer, primary_key=True)

    name = db.Column(db.String, nullable=False, unique=True)
    price = db.Column(db.Integer, nullable=False)
    price_club = db.Column(db.Integer, nullable=False)
    price_ext_club = db.Column(db.Integer, nullable=False)
    category = db.Column(db.Integer, nullable=False)
    upPrice = db.Column(db.Integer)
    upPrice_club = db.Column(db.Integer)
    upPrice_ext_club = db.Column(db.Integer)
